com.example.anna.phototag

## Class Dot

- java.lang.Object
- - com.example.anna.phototag.LayerParent
  - - com.example.anna.phototag.LayerChild
    - - com.example.anna.phototag.Dot

-     public class Dot
      extends LayerChild

  Created by Anna on 16/04/2015.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Dot(float posX, float posY, int xinxeta)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getDot()`
    `float` | `getPosX()`
    `float` | `getPosY()`
    `void` | `setPosX(float posX)` Sets the x coordinate.
    `void` | `setPosY(float posY)` Sets the y coordinate.

    - ### Methods inherited from class com.example.anna.phototag.LayerChild

      `clearArrayListsArea, getArea, getArrayViewsArees, getImageViewChild, getImageViewChildArea, getPosAreaX, getPosAreaY, getPosXXinxeta, getPosYXinxeta, getSizePosArea, setAreaImageView, setPosAreaX, setPosAreaY, setPosXP, setPosYP, updateArrayPosX, updateArrayPosY`

    - ### Methods inherited from class com.example.anna.phototag.LayerParent

      `clearArraysArees, getArea, getChildArees, getChildDot, getDrawableChildArees, getImageView, getImageViewChildArea, getImageViewChildArees, getImageViewChildDot, getImageViewsArees, getNameLayer, getPosXArea, getPosXXinxeta, getPosYArea, getPosYXinxeta, getSizePosArees, getXinxeta, setArea, setChild, setImageView, setNameLayer, setPosXArea, setPosXXinxeta, setPosYArea, setPosYXinxeta, updatePosXArea, updatePosYArea, updateToolbar`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Dot

          public Dot(float posX,
             float posY,
             int xinxeta)

      Parameters:
        `posX` - coordinate x
        `posY` - coordinate y
        `xinxeta` - reference of the icon

  - ### Method Detail

    - #### getPosX

          public float getPosX()

      Returns:
        retruns the coordinate x of the dot.

    - #### getPosY

          public float getPosY()

      Returns:
        returns the coordinate y of the dot.

    - #### setPosX

          public void setPosX(float posX)

      Sets the x coordinate.
      Parameters:
        `posX` - coordinate x

    - #### setPosY

          public void setPosY(float posY)

      Sets the y coordinate.
      Parameters:
        `posY` - coordinate y

    - #### getDot

          public int getDot()

      Overrides:
        `getDot` in class `LayerChild`
      Returns:
        returns the icon reference of the dot.